summaryrefslogtreecommitdiff
path: root/media-video/simplescreenrecorder
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-12-20 21:12:00 +0000
committerV3n3RiX <venerix@redcorelinux.org>2017-12-20 21:12:00 +0000
commit411250e6a5268ef2aa428973b98b66761398826f (patch)
tree179c0caa3e5536eb91310557cd3be6d8a54be771 /media-video/simplescreenrecorder
parentdfbce8615e31a01514dc0fb8ffe022d41f65efb3 (diff)
media-video/simplescreenrecorder : fix ebuild
Diffstat (limited to 'media-video/simplescreenrecorder')
-rw-r--r--media-video/simplescreenrecorder/simplescreenrecorder-0.3.9.ebuild101
1 files changed, 45 insertions, 56 deletions
diff --git a/media-video/simplescreenrecorder/simplescreenrecorder-0.3.9.ebuild b/media-video/simplescreenrecorder/simplescreenrecorder-0.3.9.ebuild
index 8da970e7..5c4b696e 100644
--- a/media-video/simplescreenrecorder/simplescreenrecorder-0.3.9.ebuild
+++ b/media-video/simplescreenrecorder/simplescreenrecorder-0.3.9.ebuild
@@ -1,69 +1,51 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Id$
-EAPI="5"
+EAPI=6
-inherit flag-o-matic multilib-minimal
+inherit cmake-multilib flag-o-matic xdg-utils
if [[ ${PV} = 9999 ]]; then
- inherit git-2
+ inherit git-r3
fi
DESCRIPTION="A Simple Screen Recorder"
-HOMEPAGE="http://www.maartenbaert.be/simplescreenrecorder"
+HOMEPAGE="https://www.maartenbaert.be/simplescreenrecorder"
LICENSE="GPL-3"
PKGNAME="ssr"
-S=${WORKDIR}/${PKGNAME}-${PV}
-if [[ ${PV} = 9999 ]]; then
- EGIT_REPO_URI="git://github.com/MaartenBaert/${PKGNAME}.git
- https://github.com/MaartenBaert/${PKGNAME}.git"
+if [[ ${PV} = 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/MaartenBaert/${PKGNAME}.git"
EGIT_BOOTSTRAP=""
- KEYWORDS=""
else
- SRC_URI="https://github.com/MaartenBaert/${PKGNAME}/archive/${PV}.tar.gz"
- KEYWORDS="amd64"
+ SRC_URI="https://github.com/MaartenBaert/${PKGNAME}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="amd64 ~x86"
+ S="${WORKDIR}/${PKGNAME}-${PV}"
fi
SLOT="0"
-IUSE="+asm debug jack mp3 pulseaudio theora vorbis vpx x264 +qt4 qt5"
-REQUIRED_USE="^^ ( qt4 qt5 )"
+IUSE="+asm jack mp3 pulseaudio theora vorbis vpx x264"
RDEPEND="
- qt4? (
- dev-qt/qtcore:4
- dev-qt/qtgui:4
- )
- qt5? (
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtwidgets:5
- dev-qt/qtx11extras:5
- )
- virtual/glu[${MULTILIB_USEDEP}]
- media-libs/alsa-lib
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtx11extras:5
+ media-libs/alsa-lib:0=
media-libs/mesa[${MULTILIB_USEDEP}]
+ || (
+ media-video/ffmpeg[vorbis?,vpx?,x264?,mp3?,theora?]
+ media-video/libav[vorbis?,vpx?,x264?,mp3?,theora?]
+ )
x11-libs/libX11[${MULTILIB_USEDEP}]
x11-libs/libXext
x11-libs/libXfixes[${MULTILIB_USEDEP}]
- jack? ( media-sound/jack-audio-connection-kit )
+ virtual/glu[${MULTILIB_USEDEP}]
+ jack? ( virtual/jack )
pulseaudio? ( media-sound/pulseaudio )
- || (
- media-video/ffmpeg:0[vorbis?,vpx?,x264?,mp3?,theora?]
- media-video/libav[vorbis?,vpx?,x264?,mp3?,theora?]
- )
- "
+"
DEPEND="${RDEPEND}"
pkg_setup() {
- if [[ ${PV} == "9999" ]]; then
- elog
- elog "This ebuild merges the latest revision available from upstream's"
- elog "git repository, and might fail to compile or work properly once"
- elog "merged."
- elog
- fi
-
if [[ ${ABI} == amd64 ]]; then
elog "You may want to add USE flag 'abi_x86_32' when running a 64bit system"
elog "When added 32bit GLInject libraries are also included. This is"
@@ -71,7 +53,7 @@ pkg_setup() {
elog
fi
- if ( has_version media-video/ffmpeg[x264] || has_version media-video/libav[x264] ) && has_version media-libs/x264[10bit]; then
+ if { has_version media-video/ffmpeg[x264] || has_version media-video/libav[x264] ; } && has_version media-libs/x264[10bit] ; then
ewarn
ewarn "media-libs/x264 is currently built with 10bit useflag."
ewarn "This is known to prevent simplescreenrecorder from recording x264 videos"
@@ -87,26 +69,33 @@ pkg_setup() {
}
multilib_src_configure() {
-
- local myconf=(
- --enable-dependency-tracking
- $(multilib_native_use_enable debug assert)
- $(multilib_native_use_with pulseaudio)
- $(multilib_native_use_with jack)
- $(multilib_native_use_with qt5)
- $(use_enable asm x86-asm)
+ local mycmakeargs=(
+ -DENABLE_32BIT_GLINJECT="$(usex abi_x86_32)"
+ -DENABLE_X86_ASM="$(usex asm)"
+ -DWITH_PULSEAUDIO="$(multilib_native_usex pulseaudio)"
+ -DWITH_JACK="$(multilib_native_usex jack)"
+ -DWITH_GLINJECT="true"
)
# libav doesn't have AVFrame::channels
# https://github.com/MaartenBaert/ssr/issues/195#issuecomment-45646159
- if has_version media-video/libav; then
- myconf+=( --disable-ffmpeg-versions )
+ if has_version media-video/libav ; then
+ mycmakeargs+=( -DENABLE_FFMPEG_VERSIONS="false" )
fi
- multilib_is_native_abi || myconf+=( --disable-ssrprogram )
+ if multilib_is_native_abi ; then
+ mymakeargs+=( -DWITH_QT5="true" )
+ else
+ mycmakeargs+=( -DWITH_SIMPLESCREENRECORDER="false" )
+ fi
- ECONF_SOURCE="${S}" \
- econf \
- ${myconf[@]}
+ cmake-utils_src_configure
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+}
+pkg_postrm() {
+ xdg_desktop_database_update
}